### Method

# Pango LayoutIter get_cluster_extents

#### Declaration [src]

    void
    pango_layout_iter_get_cluster_extents (
      PangoLayoutIter* iter,
      PangoRectangle* ink_rect,
      PangoRectangle* logical_rect
    )

#### Description [src]

Gets the extents of the current cluster, in layout coordinates.

Layout coordinates have the origin at the top left of the entire layout.

#### Parameters

`ink_rect`

  Type: `PangoRectangle`

  Rectangle to fill with ink extents.

  The argument will be set by the function.
  The argument can be `NULL`.
  The data is owned by the instance.

`logical_rect`

  Type: `PangoRectangle`

  Rectangle to fill with logical extents.

  The argument will be set by the function.
  The argument can be `NULL`.
  The data is owned by the instance.